"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _button = _interopRequireDefault(require("../button"));

var _dropdown = _interopRequireDefault(require("../dropdown"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var ButtonDropdown = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(ButtonDropdown, _React$PureComponent);

  function ButtonDropdown() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_this), "state", {
      dropdownVisible: false
    });

    _defineProperty(_assertThisInitialized(_this), "_handleVisibilityChange", function () {
      _this.setState(function (prevState) {
        return _extends({}, prevState, {
          dropdownVisible: !prevState.dropdownVisible
        });
      });
    });

    return _this;
  }

  var _proto = ButtonDropdown.prototype;

  _proto.render = function render() {
    var children = this.props.children || null;
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: (0, _classnames["default"])('btn-group', this.props.groupClassName)
    }, /*#__PURE__*/_react["default"].createElement(_button["default"], _extends({}, this.props, {
      className: (0, _classnames["default"])(this.props.className, 'btn-group__item--button-dropdown', 'btn--button-dropdown-btn'),
      type: "inversed"
    }), null), /*#__PURE__*/_react["default"].createElement(_dropdown["default"], {
      className: "",
      showArrow: false,
      name: this.props.name,
      theme: "dark",
      triggerNode: /*#__PURE__*/_react["default"].createElement(_button["default"], _extends({}, this.props, {
        className: (0, _classnames["default"])(this.props.triggerClassName, 'btn--button-dropdown-trigger', {
          'btn--button-dropdown-visible-trigger': this.state.dropdownVisible
        }),
        btnIcon: {
          className: (0, _classnames["default"])('button-dropdown__triger-icon', {
            'button-dropdown__trigger-icon--dropdown-visible': this.state.dropdownVisible
          }),
          name: 'arrow-down'
        },
        title: null,
        type: "inversed",
        onClick: this.props.onDropdownTriggerClick
      }), null),
      visible: this.state.dropdownVisible,
      onVisibilityChange: this._handleVisibilityChange
    }, typeof children === 'function' ? children({
      onDropdownVisibilityToggle: this._handleVisibilityChange
    }) : children));
  };

  return ButtonDropdown;
}(_react["default"].PureComponent);

exports["default"] = ButtonDropdown;