import React from 'react';
import type { ButtonProps } from '../button';
import type { WithNullableEventHandlers } from '../../types';
export declare type Props = WithNullableEventHandlers<{
    buttonsSize?: ButtonProps['size'];
    onButtonSelectRequest?: (id: string, e: React.MouseEvent<HTMLButtonElement>) => void;
} & Partial<DefaultProps>>;
declare type DefaultProps = {
    buttons: Array<ButtonProps>;
    buttonsType: ButtonProps['type'];
    className: string;
    selectedButtonId: string | null;
    selectedButtonType: ButtonProps['type'] | null;
    disabledButtonIds: Array<string>;
};
export default class ButtonGroup extends React.PureComponent<Props> {
    static displayName: string;
    static defaultProps: DefaultProps;
    _getButtonType(buttonType: ButtonProps['type'], selected: boolean): ButtonProps['type'];
    _getButtonSize(size: ButtonProps['size'] | null): ButtonProps['size'] | null;
    render(): JSX.Element;
}
export {};
