"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _buttonGroupItem = _interopRequireDefault(require("./button-group-item"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var ButtonGroup = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(ButtonGroup, _React$PureComponent);

  function ButtonGroup() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = ButtonGroup.prototype;

  _proto._getButtonType = function _getButtonType(buttonType, selected) {
    if (selected && this.props.selectedButtonType) {
      return this.props.selectedButtonType;
    }

    if (buttonType) {
      return buttonType;
    }

    return this.props.buttonsType;
  };

  _proto._getButtonSize = function _getButtonSize(size) {
    if (size) {
      return size;
    }

    return this.props.buttonsSize || null;
  };

  _proto.render = function render() {
    var _this = this;

    return /*#__PURE__*/_react["default"].createElement("div", {
      className: (0, _classnames["default"])('btn-group', this.props.className)
    }, this.props.buttons.map(function (button, index) {
      var selected = button.id === _this.props.selectedButtonId;
      var first = index === 0;
      var last = index + 1 === _this.props.buttons.length;
      return /*#__PURE__*/_react["default"].createElement(_buttonGroupItem["default"], {
        "data-ui": button['data-ui'] // @ts-ignore
        ,
        className: (0, _classnames["default"])(button.className, {
          'btn-group__item': true,
          'btn-group__item--selected': selected,
          'btn-group__item--first': first,
          'btn-group__item--last': last
        }),
        disabled: _this.props.disabledButtonIds.indexOf(button.id) !== -1,
        first: first,
        id: button.id,
        key: button.id,
        last: last,
        size: _this._getButtonSize(button.size),
        type: _this._getButtonType(button.type, selected),
        btnIcon: button.btnIcon,
        onButtonSelectRequest: _this.props.onButtonSelectRequest
      }, button.title);
    }));
  };

  return ButtonGroup;
}(_react["default"].PureComponent);

exports["default"] = ButtonGroup;

_defineProperty(ButtonGroup, "displayName", 'ButtonGroup');

_defineProperty(ButtonGroup, "defaultProps", {
  buttons: [],
  buttonsType: 'primary',
  className: '',
  selectedButtonId: null,
  selectedButtonType: null,
  disabledButtonIds: []
});