import React from 'react';
import type { WithNullableEventHandlers } from '../../types';
export declare type ButtonProps = WithNullableEventHandlers<{
    id?: string;
} & Partial<DefaultProps> & Omit<React.ButtonHTMLAttributes<HTMLButtonElement>, keyof DefaultProps | 'id'>>;
declare type DefaultProps = {
    btnIcon: string | Partial<{
        name: string | null;
        className: string | null;
    }>;
    'data-ui': string;
    disabled: boolean;
    className: string;
    title: string;
    first: boolean;
    last: boolean;
    loading: boolean;
    size: 'small' | 'big' | '';
    type: 'submit' | 'button' | 'primary' | 'secondary' | 'info' | 'success' | 'danger' | 'naked' | 'light' | 'inversed';
    iconSize: {
        width: number;
        height: number;
    };
    inGroup: boolean;
};
declare type State = {
    disabled: boolean;
};
export default class Button extends React.Component<ButtonProps, State> {
    static displayName: string;
    static defaultProps: DefaultProps;
    state: {
        disabled: boolean;
    };
    componentWillReceiveProps(nextProps: ButtonProps): void;
    render(): JSX.Element;
}
export {};
