"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = _interopRequireDefault(require("../icon"));

var _progress = _interopRequireDefault(require("../progress"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Button = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(Button, _React$Component);

  function Button() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_this), "state", {
      disabled: _this.props.loading || _this.props.disabled
    });

    return _this;
  }

  var _proto = Button.prototype;

  _proto.componentWillReceiveProps = function componentWillReceiveProps(nextProps) {
    if (nextProps.loading !== this.state.disabled || nextProps.disabled !== this.state.disabled) {
      this.setState({
        disabled: nextProps.loading || nextProps.disabled
      });
    }
  };

  _proto.render = function render() {
    var _classNames;

    var _this$props = this.props,
        btnIcon = _this$props.btnIcon,
        type = _this$props.type,
        size = _this$props.size,
        className = _this$props.className,
        first = _this$props.first,
        last = _this$props.last,
        loading = _this$props.loading,
        iconSize = _this$props.iconSize,
        inGroup = _this$props.inGroup,
        title = _this$props.title,
        children = _this$props.children,
        btnProps = _objectWithoutPropertiesLoose(_this$props, ["btnIcon", "type", "size", "className", "first", "last", "loading", "iconSize", "inGroup", "title", "children"]);

    var iconDimensions = {
      width: iconSize.width,
      height: iconSize.height
    };
    var icon;

    if (size === 'small' && iconDimensions.width === 16 && iconDimensions.height === 16) {
      iconDimensions.width = 10;
      iconDimensions.height = 10;
    }

    var buttonClassName = (0, _classnames["default"])(className, (_classNames = {
      'btn': true,
      'focusable': type !== 'naked'
    }, _classNames["btn--" + type] = type, _classNames["btn--" + size] = size, _classNames['btn--icon-btn'] = !title && !children, _classNames["btn--" + type + "-disabled"] = this.state.disabled, _classNames['btn--loading'] = loading, _classNames['btn--in-group'] = inGroup, _classNames['btn--first'] = first, _classNames['btn--last'] = last, _classNames));

    if (btnIcon) {
      var _classNames2;

      var iconName = btnIcon;
      var iconClassName = '';

      if (typeof btnIcon === 'object') {
        iconName = btnIcon.name;
        iconClassName = btnIcon.className;
      }

      icon = /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        key: String(iconName),
        name: String(iconName),
        className: (0, _classnames["default"])((_classNames2 = {
          'btn__icon': true,
          'btn__icon--no-children': !(Boolean(children) || Boolean(title))
        }, _classNames2["" + iconClassName] = Boolean(iconClassName), _classNames2)),
        width: iconDimensions.width,
        height: iconDimensions.height
      });
    }

    return /*#__PURE__*/_react["default"].createElement("button", _extends({}, btnProps, {
      className: buttonClassName,
      disabled: this.state.disabled
    }), loading ? /*#__PURE__*/_react["default"].createElement(_progress["default"], {
      name: "button"
    }) : icon, !loading && (title || children));
  };

  return Button;
}(_react["default"].Component);

exports["default"] = Button;

_defineProperty(Button, "displayName", 'Button');

_defineProperty(Button, "defaultProps", {
  btnIcon: '',
  'data-ui': '',
  disabled: false,
  className: '',
  title: '',
  first: false,
  last: false,
  loading: false,
  size: '',
  type: 'primary',
  iconSize: {
    width: 16,
    height: 16
  },
  inGroup: false
});