import React from 'react';
import Label from '../label';
import type { WithNullableEventHandlers } from '../../types';
declare type Props = WithNullableEventHandlers<{
    error?: boolean;
    name: string;
    label?: Label['props'];
    theme: 'dark' | 'light';
} & Partial<DefaultProps> & Omit<React.InputHTMLAttributes<HTMLInputElement>, keyof DefaultProps | 'name'>>;
declare type DefaultProps = {
    'data-ui': string;
    className: string;
    loading: boolean;
    disabled: boolean;
    type: 'checkbox' | 'switch';
    labelPosition: 'left' | 'front' | 'right' | 'back';
    wrapClass: string;
};
export default class Checkbox extends React.PureComponent<Props> {
    static displayName: string;
    static defaultProps: DefaultProps;
    render(): JSX.Element;
}
export {};
