"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _label = _interopRequireDefault(require("../label"));

var _progress = _interopRequireDefault(require("../progress"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Checkbox = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(Checkbox, _React$PureComponent);

  function Checkbox() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = Checkbox.prototype;

  _proto.render = function render() {
    var _classNames, _classNames2, _classNames3, _classNames4, _classNames5;

    var labelLeft;
    var labelRight;

    var _this$props = this.props,
        error = _this$props.error,
        loading = _this$props.loading,
        checkboxProps = _objectWithoutPropertiesLoose(_this$props, ["error", "loading"]);

    delete checkboxProps.wrapClass;
    delete checkboxProps.labelPosition;
    delete checkboxProps.theme;
    var labelClassNames = (0, _classnames["default"])(this.props.className, (_classNames = {
      'checkbox': true,
      'checkbox--switch': this.props.type === 'switch',
      'checkbox--error': Boolean(this.props.error)
    }, _classNames["checkbox--" + this.props.theme] = Boolean(this.props.theme), _classNames));

    if (this.props.label) {
      var labelProps = _extends({}, this.props.label, {
        className: (0, _classnames["default"])(this.props.label.className, 'checkbox-wrap__label')
      });

      var checkboxLabel = /*#__PURE__*/_react["default"].createElement(_label["default"], labelProps);

      if (this.props.labelPosition === 'front' || this.props.labelPosition === 'left') {
        labelLeft = checkboxLabel;
      } else if (this.props.labelPosition === 'back' || this.props.labelPosition === 'right') {
        labelRight = checkboxLabel;
      }
    }

    var content;

    if (loading) {
      content = /*#__PURE__*/_react["default"].createElement(_progress["default"], {
        className: "checkbox__progress",
        name: "checkbox",
        type: "indefinite",
        size: "small"
      });
    }

    return /*#__PURE__*/_react["default"].createElement("div", {
      className: (0, _classnames["default"])(this.props.wrapClass, (_classNames2 = {
        'checkbox-wrap': true,
        'checkbox-wrap--disabled': this.props.disabled
      }, _classNames2["checkbox-wrap--" + this.props.theme] = Boolean(this.props.theme), _classNames2["checkbox-wrap--" + this.props.name] = Boolean(this.props.name), _classNames2))
    }, labelLeft, /*#__PURE__*/_react["default"].createElement("label", {
      className: labelClassNames
    }, /*#__PURE__*/_react["default"].createElement("input", _extends({}, checkboxProps, {
      type: "checkbox",
      className: "checkbox__real-input"
    })), /*#__PURE__*/_react["default"].createElement("span", {
      className: (0, _classnames["default"])((_classNames3 = {
        'checkbox__input': true,
        'checkbox__input--error': Boolean(error),
        'checkbox__input--loading': loading
      }, _classNames3["checkbox__input--" + this.props.theme] = Boolean(this.props.theme), _classNames3["checkbox__input--" + this.props.name] = Boolean(this.props.name), _classNames3))
    }), this.props.type !== 'switch' ? /*#__PURE__*/_react["default"].createElement(_icon["default"], {
      name: "checkbox-tick",
      "data-ui": this.props['data-ui'] && this.props['data-ui'] + "--handle",
      className: (0, _classnames["default"])((_classNames4 = {
        'checkbox__handle': true,
        'checkbox__handle--loading': loading
      }, _classNames4["checkbox__handle--" + this.props.theme] = Boolean(this.props.theme), _classNames4["checkbox__handle--" + this.props.name] = Boolean(this.props.name), _classNames4))
    }) : /*#__PURE__*/_react["default"].createElement("span", {
      "data-ui": this.props['data-ui'] && this.props['data-ui'] + "--handle",
      className: (0, _classnames["default"])((_classNames5 = {
        'checkbox__handle': true,
        'checkbox__handle--loading': loading
      }, _classNames5["checkbox__handle--" + this.props.theme] = Boolean(this.props.theme), _classNames5))
    }), content), labelRight);
  };

  return Checkbox;
}(_react["default"].PureComponent);

exports["default"] = Checkbox;

_defineProperty(Checkbox, "displayName", 'Checkbox');

_defineProperty(Checkbox, "defaultProps", {
  'data-ui': '',
  className: '',
  loading: false,
  disabled: false,
  type: 'checkbox',
  labelPosition: 'right',
  wrapClass: ''
});