"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var ComboBoxOption = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(ComboBoxOption, _React$PureComponent);

  function ComboBoxOption() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_this), "_handleOptionRequest", function (e) {
      if (_this.props.onOptionRequest && _this.props.option) {
        _this.props.onOptionRequest(_this.props.option, e);
      }
    });

    return _this;
  }

  var _proto = ComboBoxOption.prototype;

  _proto.render = function render() {
    var _classNames;

    var option = this.props.option;
    var index = this.props.index || '';
    var name = this.props.name || '';
    var itemClassName = option && option.className ? option.className : '';
    return /*#__PURE__*/_react["default"].createElement("div", {
      "data-ui": this.props['data-ui'] && this.props['data-ui'] + "--option" + index,
      className: (0, _classnames["default"])((_classNames = {
        'combo-box__option': true,
        'combo-box__option--disabled': this.props.disabled
      }, _classNames["combo-box__option--" + name] = Boolean(name), _classNames['combo-box__option--selected'] = this.props.selected, _classNames["" + itemClassName] = Boolean(itemClassName), _classNames)),
      key: this.props.index,
      onMouseDown: this._handleOptionRequest
    }, this.props.value);
  };

  return ComboBoxOption;
}(_react["default"].PureComponent);

exports["default"] = ComboBoxOption;

_defineProperty(ComboBoxOption, "displayName", 'ComboBoxOption');

_defineProperty(ComboBoxOption, "defaultProps", {
  'data-ui': '',
  disabled: false
});