"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = _interopRequireDefault(require("../icon"));

var _dropdownListItem = _interopRequireDefault(require("./dropdown-list-item"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var DropdownList = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(DropdownList, _React$PureComponent);

  function DropdownList() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = DropdownList.prototype;

  _proto.render = function render() {
    var _classNames,
        _this = this;

    return /*#__PURE__*/_react["default"].createElement("ul", {
      className: (0, _classnames["default"])('dropdown__list', this.props.className, (_classNames = {}, _classNames["dropdown__list--" + this.props.theme] = true, _classNames))
    }, this.props.children || this.props.options && this.props.options.map(function (option, key) {
      var icon;

      if (option.icon) {
        icon = /*#__PURE__*/_react["default"].createElement(_icon["default"], option.icon);
      }

      return /*#__PURE__*/_react["default"].createElement(_dropdownListItem["default"], {
        key: option.name || key,
        "data-ui": option['data-ui'],
        name: option.name,
        theme: _this.props.theme,
        className: option.className,
        hideOnClose: option.hideOnClose,
        onClick: option.onClick,
        onHideRequest: _this.props.onRequestHide
      }, icon, option.title);
    }));
  };

  return DropdownList;
}(_react["default"].PureComponent);

exports["default"] = DropdownList;

_defineProperty(DropdownList, "displayName", 'DropdownList');

_defineProperty(DropdownList, "defaultProps", {
  className: '',
  theme: 'dark'
});