"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactGravatar = _interopRequireDefault(require("react-gravatar"));

var _avatar = _interopRequireDefault(require("../../../images/avatar.svg"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Gravatar = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(Gravatar, _React$PureComponent);

  function Gravatar() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = Gravatar.prototype;

  _proto.render = function render() {
    var borderRadiusSize = 0;

    if (this.props.circle) {
      borderRadiusSize = this.props.size;
    }

    var gravatarProps = _extends({}, this.props);

    delete gravatarProps.children;
    delete gravatarProps.circle;
    delete gravatarProps.offline;
    delete gravatarProps.offlineImage;

    var content = /*#__PURE__*/_react["default"].createElement(_reactGravatar["default"], gravatarProps);

    if (this.props.offline) {
      content = /*#__PURE__*/_react["default"].createElement("img", {
        alt: this.props.email,
        className: "gravatar__offline-image",
        src: this.props.offlineImage ? this.props.offlineImage : _avatar["default"],
        width: this.props.size,
        height: this.props.size
      });
    }

    return /*#__PURE__*/_react["default"].createElement("div", {
      className: "gravatar",
      style: {
        borderRadius: borderRadiusSize,
        overflow: 'hidden',
        width: this.props.size,
        height: this.props.size
      }
    }, content);
  };

  return Gravatar;
}(_react["default"].PureComponent);

exports["default"] = Gravatar;

_defineProperty(Gravatar, "displayName", 'Gravatar');

_defineProperty(Gravatar, "defaultProps", {
  circle: true,
  offline: false,
  protocol: 'https://',
  size: 50
});