"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Input = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(Input, _React$PureComponent);

  function Input() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_this), "state", {
      type: _this.props.type
    });

    _defineProperty(_assertThisInitialized(_this), "_handleInput", function (e) {
      if (_this.props.onInput) {
        _this.props.onInput(e);
      }

      if (_this.props.validationRules) {
        _this.props.validationRules.every(function (rule) {
          // @ts-ignore
          var ruleResult = rule.validation(e.target.value, rule.options);

          if (_this.props.onValidate) {
            _this.props.onValidate(_this.props.id || '', rule.text, ruleResult, rule.id, rule.options);
          }

          return ruleResult;
        });
      }
    });

    _defineProperty(_assertThisInitialized(_this), "_handletoggleVisibilityClick", function () {
      if (_this.state.type === 'password') {
        _this.setState({
          type: 'text'
        });
      } else {
        _this.setState({
          type: 'password'
        });
      }
    });

    return _this;
  }

  var _proto = Input.prototype;

  _proto.select = function select() {
    if (this._input) {
      this._input.select();
    }
  };

  _proto.focus = function focus() {
    if (this._input) {
      this._input.focus();
    }
  };

  _proto.render = function render() {
    var _classNames,
        _this2 = this;

    var _this$props = this.props,
        error = _this$props.error,
        wrapperClassName = _this$props.wrapperClassName,
        toggleVisibility = _this$props.toggleVisibility,
        inputProps = _objectWithoutPropertiesLoose(_this$props, ["error", "wrapperClassName", "toggleVisibility"]);

    delete inputProps.type;
    delete inputProps.onValidate;
    delete inputProps.validationRules;
    delete inputProps.theme;
    var inputClassNames = (0, _classnames["default"])(this.props.className, (_classNames = {
      'input': true
    }, _classNames["input--" + this.props.size] = Boolean(this.props.size), _classNames['input--error'] = error, _classNames['input--disabled'] = this.props.disabled, _classNames['input--show-password'] = toggleVisibility, _classNames["input--" + this.props.theme] = Boolean(this.props.theme), _classNames)); // @ts-ignore

    var inputComponent = /*#__PURE__*/_react["default"].createElement("input", _extends({}, inputProps, {
      type: this.state.type,
      className: inputClassNames,
      ref: function ref(node) {
        _this2._input = node;
      },
      onInput: this._handleInput
    }));

    var content = inputComponent;

    if (toggleVisibility) {
      content = /*#__PURE__*/_react["default"].createElement("div", {
        className: (0, _classnames["default"])(wrapperClassName, 'input__wrapper')
      }, inputComponent, /*#__PURE__*/_react["default"].createElement("div", {
        "data-ui": this.props['data-ui'] && this.props['data-ui'] + "--visibility-toggle",
        className: "input__icon-container",
        onClick: this._handletoggleVisibilityClick
      }, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        name: this.state.type === 'password' ? 'visible' : 'invisible'
      })));
    }

    return content;
  };

  return Input;
}(_react["default"].PureComponent);

exports["default"] = Input;

_defineProperty(Input, "displayName", 'Input');

_defineProperty(Input, "defaultProps", {
  className: '',
  'data-ui': '',
  disabled: false,
  error: false,
  theme: 'dark',
  toggleVisibility: false,
  type: 'text'
});