"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = _interopRequireDefault(require("../icon/"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var MenuOption = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(MenuOption, _React$PureComponent);

  function MenuOption() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_this), "handleOnClick", function () {
      var _this$props = _this.props,
          disabled = _this$props.disabled,
          name = _this$props.name,
          onClick = _this$props.onClick,
          onHideRequest = _this$props.onHideRequest;

      if (disabled) {
        return;
      }

      if (onClick) {
        onClick(name);
      }

      if (onHideRequest) {
        onHideRequest();
      }
    });

    return _this;
  }

  var _proto = MenuOption.prototype;

  _proto.render = function render() {
    var dataUi = this.props['data-ui'];
    return /*#__PURE__*/_react["default"].createElement("div", _extends({}, dataUi ? {
      'data-ui': dataUi
    } : {}, {
      className: (0, _classnames["default"])('menu__option', this.props.className),
      onClick: this.handleOnClick
    }), /*#__PURE__*/_react["default"].createElement("div", {
      className: (0, _classnames["default"])('menu__option__title', {
        'menu__option__title--disabled': this.props.disabled
      })
    }, this.props.title), this.props.checked && /*#__PURE__*/_react["default"].createElement(_icon["default"], {
      className: "menu__option__icon",
      name: "general-check"
    }));
  };

  return MenuOption;
}(_react["default"].PureComponent);

exports["default"] = MenuOption;