import React from 'react';
import type { WithNullableEventHandlers } from '../../../types';
export declare type TabId = string | number;
declare type Tab = {
    id: TabId;
    'data-ui': string;
    title: any;
    icon: string;
    content: any;
};
export declare type ModalProps = WithNullableEventHandlers<Partial<DefaultProps>>;
declare type DefaultProps = {
    activeTabId: TabId;
    fixToTop: boolean;
    visible: boolean;
    subTitle: string;
    shouldBackdropHideModal: boolean;
    hideCloseButton: boolean;
    onActiveTabChange: (tabId: TabId) => void;
    onRequestHide: () => void;
    name: string;
    autoFocus: boolean;
    tabIndex: number;
    tabs: Array<Tab>;
    className: string;
    content: any;
    contentClassName: string;
    triggerNode: any;
    title: string;
};
declare type Props = ModalProps;
declare type State = {
    activeTab: TabId;
    tabs: Array<Tab>;
};
export default class BaseModal extends React.Component<Props, State> {
    _modal: HTMLDivElement | null | undefined;
    static displayName: string;
    static defaultProps: DefaultProps;
    state: {
        tabs: Tab[];
        activeTab: string | number;
    };
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: Props): void;
    _mapTabsPropsToState(props: Props): Array<Tab>;
    _toggleBodyClassOnVisibleChange(visible: boolean): void;
    _getBodyNode(): Element | Text;
    _stopPropagation(e: React.MouseEvent<any>): void;
    _handleTabClick: (id: TabId) => void;
    render(): JSX.Element;
}
export {};
