"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = _interopRequireDefault(require("../../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var BaseModal = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(BaseModal, _React$Component);

  function BaseModal() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_this), "state", {
      tabs: _this._mapTabsPropsToState(_this.props),
      activeTab: _this.props.activeTabId
    });

    _defineProperty(_assertThisInitialized(_this), "_handleTabClick", function (id) {
      if (_this.props.onActiveTabChange) {
        _this.props.onActiveTabChange(id);
      }

      _this.setState({
        activeTab: id
      });
    });

    return _this;
  }

  var _proto = BaseModal.prototype;

  _proto.componentDidMount = function componentDidMount() {
    if (this.props.autoFocus && this._modal) {
      this._modal.focus();
    }
  };

  _proto.componentWillReceiveProps = function componentWillReceiveProps(nextProps) {
    if (nextProps.visible !== this.props.visible) {
      this._toggleBodyClassOnVisibleChange(nextProps.visible);
    }

    var tabs = this._mapTabsPropsToState(nextProps);

    this.setState({
      tabs: tabs
    });
  };

  _proto._mapTabsPropsToState = function _mapTabsPropsToState(props) {
    var tabs = props.tabs.map(function (tab, index) {
      tab.id = tab.id || index;
      return tab;
    });
    return tabs;
  };

  _proto._toggleBodyClassOnVisibleChange = function _toggleBodyClassOnVisibleChange(visible) {
    var bodyNode = this._getBodyNode();

    if (bodyNode) {
      if (visible) {
        // $FlowFixMe: figure out how to use without type of
        bodyNode.classList.add('root--modal-visible');
      } else {
        // $FlowFixMe: figure out how to use without type of
        bodyNode.classList.remove('root--modal-visible');
      }
    }
  };

  _proto._getBodyNode = function _getBodyNode() {
    var node = _reactDom["default"].findDOMNode(this); // @ts-ignore


    while (node && node.tagName !== 'BODY') {
      // @ts-ignore
      node = node.parentNode;
    }

    return node;
  };

  _proto._stopPropagation = function _stopPropagation(e) {
    e.stopPropagation();
  };

  _proto.render = function render() {
    var _classNames,
        _this2 = this,
        _classNames11,
        _classNames13;

    var modal = null;
    var modalSubTitle = null;
    var modalTitle = null;
    var modalCloseButton = null;
    var modalTabBar = null;
    var modalTabContent = null;
    var tabs = this.props.tabs;
    var modalClassNames = (0, _classnames["default"])(this.props.className, (_classNames = {
      'base-modal': true,
      'base-modal--visible': this.props.visible,
      'modal--has-title': Boolean(this.props.title),
      'base-modal--fixed': this.props.fixToTop
    }, _classNames["base-modal--" + this.props.name] = this.props.name && true, _classNames));

    if (this.props.subTitle) {
      var _classNames2;

      modalSubTitle = /*#__PURE__*/_react["default"].createElement("span", {
        className: (0, _classnames["default"])((_classNames2 = {
          'base-modal__title-sub-headline': true
        }, _classNames2["base-modal__title-sub-headline--" + this.props.name] = this.props.name && true, _classNames2))
      }, this.props.subTitle);
    }

    if (this.props.title) {
      var _classNames3, _classNames4;

      modalTitle = /*#__PURE__*/_react["default"].createElement("div", {
        className: (0, _classnames["default"])((_classNames3 = {
          'base-modal__title': true
        }, _classNames3["base-modal__title--" + this.props.name] = this.props.name && true, _classNames3))
      }, /*#__PURE__*/_react["default"].createElement("h1", {
        className: (0, _classnames["default"])((_classNames4 = {
          'base-modal__title-headline': true
        }, _classNames4["base-modal__title-headline--" + this.props.name] = this.props.name && true, _classNames4))
      }, this.props.title, modalSubTitle));
    }

    if (!this.props.hideCloseButton) {
      var _classNames5;

      modalCloseButton = /*#__PURE__*/_react["default"].createElement("button", {
        onClick: this.props.onRequestHide,
        "data-ui": "modal__close",
        className: (0, _classnames["default"])((_classNames5 = {
          'base-modal__close': true
        }, _classNames5["base-modal__close--" + this.props.name] = this.props.name && true, _classNames5))
      }, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        className: "modal__close-icon",
        name: "cross"
      }));
    }

    if (tabs && tabs.length) {
      var _classNames9;

      var tabBar = tabs.map(function (tab) {
        var _classNames6, _classNames7, _classNames8;

        var activeTab = _this2.state.activeTab === tab.id;
        return /*#__PURE__*/_react["default"].createElement("div", {
          "data-ui": tab['data-ui'] ? tab['data-ui'] : '',
          key: "modal-tab-bar-item-" + tab.id,
          className: (0, _classnames["default"])((_classNames6 = {
            'base-modal__tab-bar-item': true,
            'base-modal__tab-bar-item--active': activeTab
          }, _classNames6["base-modal__tab-bar-item--" + _this2.props.name] = _this2.props.name && true, _classNames6)),
          onClick: function onClick() {
            _this2._handleTabClick(tab.id);
          }
        }, tab.icon && /*#__PURE__*/_react["default"].createElement(_icon["default"], {
          className: (0, _classnames["default"])((_classNames7 = {
            'base-modal__tab-bar-item-icon': true,
            'base-modal__tab-bar-item-icon--active': activeTab
          }, _classNames7["base-modal__tab-bar-item-icon--" + _this2.props.name] = _this2.props.name && true, _classNames7)),
          name: "" + tab.icon
        }), /*#__PURE__*/_react["default"].createElement("span", {
          className: (0, _classnames["default"])((_classNames8 = {
            'base-modal__tab-bar-item-title': true,
            'base-modal__tab-bar-item-title--active': activeTab
          }, _classNames8["base-modal__tab-bar-item-title--" + _this2.props.name] = _this2.props.name && true, _classNames8))
        }, tab.title));
      });
      modalTabBar = /*#__PURE__*/_react["default"].createElement("div", {
        className: (0, _classnames["default"])((_classNames9 = {
          'base-modal__tab-bar': true
        }, _classNames9["base-modal__tab-bar--" + this.props.name] = this.props.name && true, _classNames9))
      }, tabBar);
      modalTabContent = tabs.map(function (tab) {
        var _classNames10;

        return /*#__PURE__*/_react["default"].createElement("div", {
          key: "base-modal-content-" + tab.id,
          className: (0, _classnames["default"])((_classNames10 = {
            'base-modal__tab-content': true,
            'base-modal__tab-content--visible': _this2.state.activeTab === tab.id
          }, _classNames10["base-modal__tab-content--" + _this2.props.name] = _this2.props.name && true, _classNames10['scrollbars--visible'] = true, _classNames10))
        }, tab.content);
      });
    }

    var modalBackdrop = /*#__PURE__*/_react["default"].createElement("div", {
      "data-ui": "modal__backdrop",
      className: (0, _classnames["default"])((_classNames11 = {
        'base-modal__backdrop': true,
        'base-modal__backdrop--fixed': this.props.fixToTop
      }, _classNames11["base-modal__backdrop--" + this.props.name] = this.props.name && true, _classNames11)),
      onClick: this.props.shouldBackdropHideModal && this.props.onRequestHide
    });

    if (this.props.visible) {
      var _classNames12;

      modal = /*#__PURE__*/_react["default"].createElement("div", {
        className: (0, _classnames["default"])((_classNames12 = {
          'base-modal__wrap': true,
          'base-modal__wrap--fixed': this.props.fixToTop
        }, _classNames12["base-modal__wrap--" + this.props.name] = this.props.name && true, _classNames12))
      }, /*#__PURE__*/_react["default"].createElement("div", {
        className: modalClassNames,
        "data-ui": "modal",
        tabIndex: this.props.tabIndex,
        ref: function ref(node) {
          _this2._modal = node;
        },
        onClick: this._stopPropagation
      }, modalTitle, modalCloseButton, modalTabBar, modalTabContent, this.props.content), modalBackdrop);
    }

    return /*#__PURE__*/_react["default"].createElement("div", {
      className: (0, _classnames["default"])((_classNames13 = {
        'base-modal__container': true
      }, _classNames13["base-modal__container--" + this.props.name] = this.props.name && true, _classNames13))
    }, this.props.triggerNode, modal);
  };

  return BaseModal;
}(_react["default"].Component);

exports["default"] = BaseModal;

_defineProperty(BaseModal, "displayName", 'BaseModal');

_defineProperty(BaseModal, "defaultProps", {
  activeTabId: 0,
  fixToTop: false,
  visible: false,
  subTitle: '',
  shouldBackdropHideModal: true,
  hideCloseButton: false,
  onRequestHide: function onRequestHide() {},
  onActiveTabChange: function onActiveTabChange() {},
  name: '',
  autoFocus: false,
  tabIndex: -1,
  tabs: [],
  className: '',
  content: null,
  contentClassName: '',
  title: '',
  triggerNode: null
});