"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Progress = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(Progress, _React$PureComponent);

  function Progress() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_this), "_getProgress", function (progress, multiplier) {
      if (multiplier === void 0) {
        multiplier = 1;
      }

      var rotation = progress < 100 ? 1.8 * progress : 180;
      return {
        transform: "rotate(" + rotation * multiplier + "deg)"
      };
    });

    return _this;
  }

  var _proto = Progress.prototype;

  _proto.render = function render() {
    var _this2 = this,
        _classNames5,
        _classNames6,
        _classNames7,
        _classNames8;

    var content;
    var title;
    var defaultSpeeds = {
      'slow': 70,
      'normal': 40,
      'fast': 20
    };
    var speed = Number.isFinite(this.props.speed) ? this.props.speed : defaultSpeeds[this.props.speed];
    var defaultSizes = {
      'small': {
        width: 24,
        height: 24
      },
      'normal': {
        width: 46,
        height: 46
      },
      'large': {
        width: 60,
        height: 60
      }
    };

    if (this.props.title) {
      var _classNames;

      title = /*#__PURE__*/_react["default"].createElement("span", {
        key: "progress-title",
        className: (0, _classnames["default"])('progress__title', (_classNames = {}, _classNames["progress__title--" + this.props.name] = Boolean(this.props.name), _classNames))
      }, this.props.title);
    }

    switch (this.props.type) {
      case 'circular':
        {
          var _classNames2;

          var style = this._getProgress(this.props.progress);

          content = [/*#__PURE__*/_react["default"].createElement("div", {
            key: "circular",
            className: (0, _classnames["default"])((_classNames2 = {
              'progress--circular': true
            }, _classNames2["progress--" + this.props.size] = Boolean(this.props.size), _classNames2))
          }, /*#__PURE__*/_react["default"].createElement("div", {
            className: "progress__mask",
            style: style
          }, /*#__PURE__*/_react["default"].createElement("div", {
            className: "progress__fill",
            style: style
          })), /*#__PURE__*/_react["default"].createElement("div", {
            className: "progress__mask"
          }, /*#__PURE__*/_react["default"].createElement("div", {
            className: "progress__fill",
            style: style
          }), /*#__PURE__*/_react["default"].createElement("div", {
            className: "progress__fill",
            style: this._getProgress(this.props.progress, 2)
          }))), title];
          break;
        }
      // TODO: check array if this is right

      case 'indefinite':
        {
          var _classNames3;

          content = [/*#__PURE__*/_react["default"].createElement("div", {
            key: "indefinite",
            className: (0, _classnames["default"])((_classNames3 = {
              'progress--indefinite': true
            }, _classNames3["progress--" + this.props.name] = Boolean(this.props.name), _classNames3["progress--" + this.props.size] = Boolean(this.props.size), _classNames3["progress--" + this.props.name] = Boolean(this.props.name), _classNames3))
          }, [1, 2, 3].map(function (key) {
            var _classNames4;

            return /*#__PURE__*/_react["default"].createElement("span", {
              className: (0, _classnames["default"])((_classNames4 = {
                'progress__item--indefinite': true
              }, _classNames4["progress__item--indefinite-" + _this2.props.name] = Boolean(_this2.props.name), _classNames4)),
              key: key
            });
          })), title];
          break;
        }

      case 'bar':
      case 'bar-indefinite':
        content = [title, /*#__PURE__*/_react["default"].createElement("div", {
          className: (0, _classnames["default"])('progress__bar', (_classNames5 = {}, _classNames5["progress__bar--" + this.props.theme] = true, _classNames5["progress__bar--" + this.props.name] = Boolean(this.props.name), _classNames5['progress__bar-indefinite'] = this.props.type === 'bar-indefinite', _classNames5["progress__bar--" + this.props.size] = Boolean(this.props.size), _classNames5)),
          key: "bar"
        }, /*#__PURE__*/_react["default"].createElement("span", {
          className: (0, _classnames["default"])('progress__bar-fill', (_classNames6 = {}, _classNames6["progress__bar-fill--" + this.props.theme] = true, _classNames6['progress__bar-indefinite-fill'] = this.props.type === 'bar-indefinite', _classNames6["progress__bar-fill--" + this.props.size] = Boolean(this.props.size), _classNames6)),
          style: {
            width: Math.min(this.props.progress, 100) + "%"
          }
        }))];
        break;

      case 'indefinite-circular':
        content = [title, /*#__PURE__*/_react["default"].createElement("div", {
          className: (0, _classnames["default"])('progress--indefinite-circular', (_classNames7 = {}, _classNames7["progress--" + this.props.size] = Boolean(this.props.size), _classNames7["progress--indefinite-circular--" + this.props.theme] = Boolean(this.props.theme), _classNames7["progress--indefinite-circular--" + this.props.name] = Boolean(this.props.name), _classNames7)),
          key: "indefinite-circular"
        }, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
          className: (0, _classnames["default"])('progress--indefinite-circular__spinner', (_classNames8 = {}, _classNames8["progress--indefinite-circular__spinner-" + this.props.size] = Boolean(this.props.size), _classNames8["progres--indefinite-circular__" + this.props.name + "-spinner"] = Boolean(this.props.name), _classNames8)) // @ts-ignore
          ,
          style: {
            animationDuration: speed + "s"
          },
          name: "indefinite-circular",
          width: defaultSizes[this.props.size || 'normal']['width'],
          height: defaultSizes[this.props.size || 'normal']['height']
        }))];
    }

    return /*#__PURE__*/_react["default"].createElement("div", {
      className: (0, _classnames["default"])(this.props.className, 'progress')
    }, content);
  };

  return Progress;
}(_react["default"].PureComponent);

exports["default"] = Progress;

_defineProperty(Progress, "displayName", 'Progress');

_defineProperty(Progress, "defaultProps", {
  className: '',
  name: '',
  size: '',
  speed: 'normal',
  title: null,
  type: 'indefinite',
  progress: 0,
  theme: 'dark'
});