"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var RadioGroup = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(RadioGroup, _React$PureComponent);

  function RadioGroup() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_this), "_handleChange", function (value) {
      if (_this.props.onChange) {
        _this.props.onChange(value);
      }
    });

    return _this;
  }

  var _proto = RadioGroup.prototype;

  _proto.render = function render() {
    var _classNames,
        _this2 = this;

    var _this$props = this.props,
        className = _this$props.className,
        name = _this$props.name,
        options = _this$props.options,
        type = _this$props.type;
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: (0, _classnames["default"])('radio-group', className, (_classNames = {}, _classNames["radio-group--" + type] = true, _classNames['radio-group--disabled'] = this.props.disabled, _classNames)),
      "data-ui": this.props['data-ui'] ? this.props['data-ui'] : ''
    }, options.map(function (option, index) {
      if (type === 'list') {
        return /*#__PURE__*/_react["default"].createElement("div", {
          className: "radio-group__item",
          key: "radio-" + name + "-" + index
        }, /*#__PURE__*/_react["default"].createElement("input", {
          className: "radio-group__item-input",
          "data-ui": option['data-ui'] ? option['data-ui'] : '',
          id: "radio-" + name + "-" + index,
          type: "radio",
          name: name,
          value: option.value,
          defaultChecked: option.checked,
          onChange: function onChange(e) {
            _this2._handleChange(e.target.value);
          }
        }), /*#__PURE__*/_react["default"].createElement("label", {
          className: "radio-group__item-label",
          htmlFor: "radio-" + name + "-" + index
        }, option.title, option.description && /*#__PURE__*/_react["default"].createElement("div", {
          className: "radio-group__item-description"
        }, option.description)));
      } else if (type === 'button') {
        return /*#__PURE__*/_react["default"].createElement("button", {
          className: (0, _classnames["default"])({
            'focusable': true,
            'radio-group__item-button': true,
            'radio-group__item-button--selected': option.checked
          }),
          "data-ui": option['data-ui'] ? option['data-ui'] : '',
          key: "radio-" + name + "-" + index,
          disabled: _this2.props.disabled,
          onClick: function onClick() {
            _this2._handleChange(option.value);
          }
        }, /*#__PURE__*/_react["default"].createElement("span", {
          className: "radio-group__item-button-title"
        }, option.title));
      }

      return false;
    }));
  };

  return RadioGroup;
}(_react["default"].PureComponent);

exports["default"] = RadioGroup;

_defineProperty(RadioGroup, "displayName", 'RadioGroup');

_defineProperty(RadioGroup, "defaultProps", {
  type: 'list',
  className: '',
  disabled: false
});