import React from 'react';
import type { WithNullableEventHandlers } from '../../types';
declare type Props = WithNullableEventHandlers<{
    name?: string;
    wrapperClassname?: string;
    'data-ui'?: string;
    step?: number;
    min?: number;
    max?: number;
    id?: string;
    onChange?: (value: number, e: React.ChangeEvent<HTMLInputElement>) => void;
} & Partial<DefaultProps> & Omit<React.InputHTMLAttributes<HTMLInputElement>, 'onChange' | 'className'>>;
declare type DefaultProps = {
    value: number;
    className: string;
    disabled: boolean;
    error: boolean;
};
export default class Range extends React.Component<Props> {
    static defaultProps: DefaultProps;
    _handleInputChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    _generateTrackStyle(value: number): {
        background?: undefined;
    } | {
        background: string;
    };
    render(): JSX.Element;
}
export {};
