"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Range = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(Range, _React$Component);

  function Range() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_this), "_handleInputChange", function (e) {
      var value = Number.parseInt(e.target.value, 10);

      if (_this.props.onChange) {
        _this.props.onChange(value, e);
      }
    });

    return _this;
  }

  var _proto = Range.prototype;

  _proto._generateTrackStyle = function _generateTrackStyle(value) {
    if (this.props.error || this.props.disabled) {
      return {};
    }

    var cleanValue = this.props.step && this.props.max ? value * (100 / this.props.max) : value;
    return {
      background: "linear-gradient(90deg, #00bc87 " + cleanValue + "%, var(--range-input-background) " + cleanValue + "%)"
    };
  };

  _proto.render = function render() {
    var _classNames, _classNames2;

    var _this$props = this.props,
        error = _this$props.error,
        wrapperClassname = _this$props.wrapperClassname,
        className = _this$props.className,
        style = _this$props.style,
        onChange = _this$props.onChange,
        inputProps = _objectWithoutPropertiesLoose(_this$props, ["error", "wrapperClassname", "className", "style", "onChange"]);

    var inputClassnames = (0, _classnames["default"])('range-input', (_classNames = {}, _classNames["" + this.props.className] = Boolean(className), _classNames['range-input--error'] = Boolean(error), _classNames));

    var calculatedStyle = _extends({}, style || {}, this._generateTrackStyle(this.props.value));

    return /*#__PURE__*/_react["default"].createElement("div", {
      className: (0, _classnames["default"])('range-input__wrapper', (_classNames2 = {}, _classNames2["" + (wrapperClassname || '')] = Boolean(wrapperClassname), _classNames2))
    }, /*#__PURE__*/_react["default"].createElement("input", _extends({}, inputProps, {
      style: calculatedStyle,
      className: inputClassnames,
      onChange: this._handleInputChange,
      type: "range"
    })));
  };

  return Range;
}(_react["default"].Component);

exports["default"] = Range;

_defineProperty(Range, "defaultProps", {
  value: 0,
  className: '',
  disabled: false,
  error: false
});