import React from 'react';
import type { WithNullableEventHandlers } from '../../types';
declare type Option = {
    title: string;
    disabled: boolean;
    value: any;
};
declare type Props = WithNullableEventHandlers<{
    error: boolean | Object;
    icon: {
        name: string;
        className: string;
    };
    options: Array<string | Option>;
    size: 'small';
} & Partial<DefaultProps> & Omit<React.SelectHTMLAttributes<HTMLSelectElement>, 'size' | 'className'>>;
declare type DefaultProps = {
    className: string;
    name: string;
    theme: 'dark' | 'light';
};
export default class Select extends React.PureComponent<Props> {
    static displayName: string;
    static defaultProps: DefaultProps;
    render(): JSX.Element;
}
export {};
