"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Select = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(Select, _React$PureComponent);

  function Select() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = Select.prototype;

  _proto.render = function render() {
    var _classNames;

    var content;

    var _this$props = this.props,
        className = _this$props.className,
        icon = _this$props.icon,
        options = _this$props.options,
        error = _this$props.error,
        theme = _this$props.theme,
        children = _this$props.children,
        selectProps = _objectWithoutPropertiesLoose(_this$props, ["className", "icon", "options", "error", "theme", "children"]);

    var selectClassName = (0, _classnames["default"])(className, (_classNames = {
      'focusable': true,
      'select': true
    }, _classNames["select--" + this.props.size] = Boolean(this.props.size), _classNames['select--error'] = Boolean(this.props.error), _classNames["select--" + this.props.theme] = Boolean(this.props.theme), _classNames['select--with-icon'] = Boolean(this.props.icon), _classNames["select--" + this.props.name] = Boolean(this.props.name), _classNames));

    if (options) {
      content = options.map(function (opt) {
        var disabled = false;
        var value = opt;
        var title = opt;

        if (typeof opt === 'object') {
          value = opt.value !== 'undefined' ? String(opt.value) : opt.title;
          disabled = opt.disabled;
          title = opt.title;
        }

        return /*#__PURE__*/_react["default"].createElement("option", {
          className: "select__option",
          key: String(value),
          disabled: disabled // @ts-ignore
          ,
          value: value
        }, String(title));
      });
    } else {
      content = children;
    }

    if (icon) {
      var _classNames2;

      return /*#__PURE__*/_react["default"].createElement("div", {
        className: (0, _classnames["default"])('select__wrapper', (_classNames2 = {}, _classNames2["select__wrapper--" + this.props.name] = Boolean(this.props.name), _classNames2))
      }, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        name: icon.name,
        className: (0, _classnames["default"])('select__icon', icon.className)
      }), /*#__PURE__*/_react["default"].createElement("select", _extends({}, selectProps, {
        className: className // @ts-ignore
        ,
        label: null
      }), content));
    }

    return /*#__PURE__*/_react["default"].createElement("select", _extends({}, selectProps, {
      className: selectClassName // @ts-ignore
      ,
      label: null
    }), content);
  };

  return Select;
}(_react["default"].PureComponent);

exports["default"] = Select;

_defineProperty(Select, "displayName", 'Select');

_defineProperty(Select, "defaultProps", {
  className: '',
  name: '',
  theme: 'dark'
});