import React, { ReactNode } from 'react';
import type { Position } from '../../utils/positioning-utils';
import type { WithNullableEventHandlers } from '../../types';
declare type Props = WithNullableEventHandlers<{
    arrowPosition?: 'start' | 'center' | 'end';
    className?: string;
    shareLink: string;
    name?: string;
    position: Position;
    publicLinkEnabled: boolean;
    title: string;
    triggerNode: ReactNode;
    onCopy?: (text: string) => void;
    onLinkCopied?: (privacyChanged: boolean) => void;
    onLinkVisible?: () => void;
    onSetLinkPublicRequest?: (publicLink: boolean) => void;
    setLinkPublic?: (publicLink: boolean) => void;
} & Partial<DefaultProps>>;
declare type DefaultProps = {
    scroll: boolean;
};
declare type ComponentState = {
    visible: boolean;
    linkPrivacyChanged: boolean;
};
export default class ShareDropdown extends React.PureComponent<Props, ComponentState> {
    static defaultProps: DefaultProps;
    state: ComponentState;
    copyLink: () => void;
    copyToClipboard(text: string): void;
    setLinkVisibility(visible: boolean): void;
    toggleLinkVisibility: () => void;
    onVisibilityChange: (visible: boolean) => void;
    render(): JSX.Element;
}
export {};
