"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _dropdown = _interopRequireDefault(require("../dropdown/"));

var _icon = _interopRequireDefault(require("../icon/"));

var _tooltip = _interopRequireDefault(require("../tooltip/"));

var _checkbox = _interopRequireDefault(require("../checkbox/"));

var _button = _interopRequireDefault(require("../button/"));

var _input = _interopRequireDefault(require("../input/"));

var _copyUtils = _interopRequireDefault(require("../../utils/copy-utils"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var ShareDropdown = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(ShareDropdown, _React$PureComponent);

  function ShareDropdown() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_this), "state", {
      visible: false,
      linkPrivacyChanged: false
    });

    _defineProperty(_assertThisInitialized(_this), "copyLink", function () {
      _this.copyToClipboard(_this.props.shareLink);

      var onLinkCopied = _this.props.onLinkCopied;

      if (onLinkCopied) {
        onLinkCopied(_this.state.linkPrivacyChanged);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "toggleLinkVisibility", function () {
      var _this$props = _this.props,
          onSetLinkPublicRequest = _this$props.onSetLinkPublicRequest,
          setLinkPublic = _this$props.setLinkPublic;

      if (setLinkPublic) {
        console.warn('DEPRECATION WARNING: ShareDropdown prop setLinkPublic is deprecated use onSetLinkPublicRequest instead.');
        setLinkPublic(!_this.props.publicLinkEnabled);

        _this.setState({
          linkPrivacyChanged: true
        });
      }

      if (onSetLinkPublicRequest) {
        onSetLinkPublicRequest(!_this.props.publicLinkEnabled);

        _this.setState({
          linkPrivacyChanged: true
        });
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onVisibilityChange", function (visible) {
      _this.setState({
        visible: visible
      });

      if (visible && _this.props.onLinkVisible) {
        _this.props.onLinkVisible();
      }
    });

    return _this;
  }

  var _proto = ShareDropdown.prototype;

  _proto.copyToClipboard = function copyToClipboard(text) {
    if (this.props.onCopy) {
      this.props.onCopy(text);
      return;
    }

    _copyUtils["default"].copyText(text, window);
  };

  _proto.setLinkVisibility = function setLinkVisibility(visible) {
    var _this$props2 = this.props,
        onSetLinkPublicRequest = _this$props2.onSetLinkPublicRequest,
        setLinkPublic = _this$props2.setLinkPublic;

    if (setLinkPublic) {
      console.warn('DEPRECATION WARNING: ShareDropdown prop setLinkPublic is deprecated use onSetLinkPublicRequest instead.');
      setLinkPublic(visible);
    }

    if (onSetLinkPublicRequest) {
      onSetLinkPublicRequest(visible);
    }
  };

  _proto.render = function render() {
    var _this2 = this;

    var publicLinkEnabled = this.props.publicLinkEnabled;
    return /*#__PURE__*/_react["default"].createElement(_dropdown["default"], {
      arrowPosition: this.props.arrowPosition,
      className: (0, _classnames["default"])(this.props.className, 'share-dropdown'),
      name: this.props.name || 'share-dropdown',
      position: this.props.position,
      scroll: this.props.scroll,
      triggerNode: this.props.triggerNode,
      visible: this.state.visible,
      onVisibilityChange: this.onVisibilityChange
    }, /*#__PURE__*/_react["default"].createElement("div", {
      className: "share-dropdown__wrapper"
    }, /*#__PURE__*/_react["default"].createElement("div", {
      className: "share-dropdown__header"
    }, /*#__PURE__*/_react["default"].createElement("div", {
      className: "share-dropdown__header-title"
    }, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
      name: "copy-square",
      className: "share-dropdown__header-title-icon"
    }), /*#__PURE__*/_react["default"].createElement("span", null, this.props.title)), /*#__PURE__*/_react["default"].createElement("div", {
      className: "share-dropdown__header-toggle"
    }, /*#__PURE__*/_react["default"].createElement("div", {
      "data-tip": true,
      "data-for": "link-privacy-private",
      className: "share-dropdown__toggle-label"
    }, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
      name: "login",
      className: (0, _classnames["default"])('share-dropdown__header-toggle-label-icon-private', {
        'share-dropdown__header-toggle-label-icon-private--active': !publicLinkEnabled
      })
    }), /*#__PURE__*/_react["default"].createElement("span", {
      className: (0, _classnames["default"])('share-dropdown__header-toggle-label-text', {
        'share-dropdown__header-toggle-label-text--active': !publicLinkEnabled
      }),
      onClick: function onClick() {
        return _this2.setLinkVisibility(false);
      }
    }, "Private"), /*#__PURE__*/_react["default"].createElement(_tooltip["default"], {
      className: "share-dropdown__header-toggle-tooltip",
      content: "Set file permissions to Private",
      place: "bottom",
      id: "link-privacy-private"
    })), /*#__PURE__*/_react["default"].createElement(_checkbox["default"] // @ts-ignore
    , {
      checked: publicLinkEnabled,
      className: "share-dropdown__switch",
      type: "switch",
      name: "share-link-privacy",
      theme: "light",
      onChange: this.toggleLinkVisibility
    }), /*#__PURE__*/_react["default"].createElement("div", {
      "data-tip": true,
      "data-for": "link-privacy-public",
      className: "share-dropdown__toggle-label"
    }, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
      name: "planet",
      className: (0, _classnames["default"])('share-dropdown__header-toggle-label-icon-public', {
        'share-dropdown__header-toggle-label-icon-public--active': publicLinkEnabled
      })
    }), /*#__PURE__*/_react["default"].createElement("span", {
      className: (0, _classnames["default"])('share-dropdown__header-toggle-label-text', {
        'share-dropdown__header-toggle-label-text--active': publicLinkEnabled
      }),
      onClick: function onClick() {
        return _this2.setLinkVisibility(true);
      }
    }, "Public"), /*#__PURE__*/_react["default"].createElement(_tooltip["default"], {
      className: "share-dropdown__header-toggle-tooltip",
      content: "Set file permissions to Public",
      place: "bottom",
      id: "link-privacy-public"
    })))), /*#__PURE__*/_react["default"].createElement("div", {
      className: "share-dropdown__share-input"
    }, /*#__PURE__*/_react["default"].createElement(_input["default"], {
      className: "share-dropdown__link-input" // @ts-ignore
      ,
      value: this.props.shareLink,
      theme: "light",
      readOnly: true,
      size: "small",
      onClick: function onClick(e) {
        e.currentTarget.select();
      }
    }), /*#__PURE__*/_react["default"].createElement(_button["default"], {
      className: "share-dropdown__copy-button",
      "data-ui": "share-dropdown__copy-button",
      title: "COPY",
      type: "light",
      size: "small" // @ts-ignore
      ,
      onClick: this.copyLink
    })), publicLinkEnabled ? /*#__PURE__*/_react["default"].createElement("div", {
      className: "share-dropdown__description"
    }, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
      name: "planet",
      className: "share-dropdown__description-icon"
    }), /*#__PURE__*/_react["default"].createElement("div", {
      className: "share-dropdown__description-text"
    }, /*#__PURE__*/_react["default"].createElement("span", {
      className: "share-dropdown__description-text-highlight"
    }, "Anyone with the link"), ' ', "will have access.")) : /*#__PURE__*/_react["default"].createElement("div", {
      className: "share-dropdown__description"
    }, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
      name: "login",
      className: "share-dropdown__description-icon"
    }), /*#__PURE__*/_react["default"].createElement("div", {
      className: "share-dropdown__description-text"
    }, /*#__PURE__*/_react["default"].createElement("span", {
      className: "share-dropdown__description-text-highlight"
    }, "Only team members"), ' ', "will have access."))));
  };

  return ShareDropdown;
}(_react["default"].PureComponent);

exports["default"] = ShareDropdown;

_defineProperty(ShareDropdown, "defaultProps", {
  scroll: true
});