import React, { ReactNode } from 'react';
import type { WithNullableEventHandlers } from '../../types';
declare type Props = WithNullableEventHandlers<{
    className?: string;
    shareLink: string;
    publicLinkEnabled: boolean;
    type: string;
    triggerNode: ReactNode;
    onCopy?: (text: string) => void;
    onLinkCopied?: (privacyChanged: boolean) => void;
    onModalClosed?: () => void;
    onModalOpened?: () => void;
    onSetLinkPublicRequest?: (publicLink: boolean) => void;
}>;
declare type ComponentState = {
    dropdownVisible: boolean;
    modalVisible: boolean;
    linkPrivacyChanged: boolean;
};
export default class ShareModal extends React.PureComponent<Props, ComponentState> {
    state: ComponentState;
    copyLink: () => void;
    copyToClipboard(text: string): void;
    setLinkVisibility: (name: string) => void;
    onVisibilityChange: (modalVisible: boolean) => void;
    setDropdownVisibility: (dropdownVisible: boolean) => void;
    render(): JSX.Element;
}
export {};
