"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _icon = _interopRequireDefault(require("../icon/"));

var _dropdownLegacy = _interopRequireDefault(require("../dropdown-legacy/"));

var _button = _interopRequireDefault(require("../button/"));

var _baseModal = _interopRequireDefault(require("../modals/base-modal"));

var _menu = _interopRequireDefault(require("../menu/menu"));

var _menuOption = _interopRequireDefault(require("../menu/menu-option"));

var _copyUtils = _interopRequireDefault(require("../../utils/copy-utils"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var BY_TEAM = 'By team';
var BY_EVERYONE = 'By everyone';

var ShareModal = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(ShareModal, _React$PureComponent);

  function ShareModal() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_this), "state", {
      dropdownVisible: false,
      modalVisible: false,
      linkPrivacyChanged: false
    });

    _defineProperty(_assertThisInitialized(_this), "copyLink", function () {
      _this.copyToClipboard(_this.props.shareLink);

      var onLinkCopied = _this.props.onLinkCopied;

      if (onLinkCopied) {
        onLinkCopied(_this.state.linkPrivacyChanged);
      }

      _this.onVisibilityChange(false);
    });

    _defineProperty(_assertThisInitialized(_this), "setLinkVisibility", function (name) {
      var modalVisible = name === BY_EVERYONE;
      var onSetLinkPublicRequest = _this.props.onSetLinkPublicRequest;

      if (onSetLinkPublicRequest) {
        onSetLinkPublicRequest(modalVisible);

        _this.setState({
          linkPrivacyChanged: true
        });
      }

      _this.setDropdownVisibility(false);
    });

    _defineProperty(_assertThisInitialized(_this), "onVisibilityChange", function (modalVisible) {
      _this.setState({
        modalVisible: modalVisible
      });

      if (modalVisible && _this.props.onModalOpened) {
        _this.props.onModalOpened();
      }

      if (!modalVisible && _this.props.onModalClosed) {
        _this.props.onModalClosed();
      }
    });

    _defineProperty(_assertThisInitialized(_this), "setDropdownVisibility", function (dropdownVisible) {
      _this.setState({
        dropdownVisible: dropdownVisible
      });
    });

    return _this;
  }

  var _proto = ShareModal.prototype;

  _proto.copyToClipboard = function copyToClipboard(text) {
    if (this.props.onCopy) {
      this.props.onCopy(text);
      return;
    }

    _copyUtils["default"].copyText(text, window);
  };

  _proto.render = function render() {
    var _this2 = this;

    var _this$props = this.props,
        publicLinkEnabled = _this$props.publicLinkEnabled,
        triggerNode = _this$props.triggerNode,
        type = _this$props.type,
        onSetLinkPublicRequest = _this$props.onSetLinkPublicRequest;
    return /*#__PURE__*/_react["default"].createElement("div", {
      onClick: function onClick() {
        return _this2.onVisibilityChange(!_this2.state.modalVisible);
      }
    }, triggerNode, /*#__PURE__*/_react["default"].createElement(_baseModal["default"], {
      visible: this.state.modalVisible,
      hideCloseButton: true,
      className: "share-modal__base-modal",
      onRequestHide: function onRequestHide() {
        return _this2.onVisibilityChange(false);
      },
      content: /*#__PURE__*/_react["default"].createElement("div", {
        className: "share-modal"
      }, /*#__PURE__*/_react["default"].createElement("div", {
        className: "share-modal__header"
      }, /*#__PURE__*/_react["default"].createElement("div", {
        className: "share-modal__header__name"
      }, "Share " + type), /*#__PURE__*/_react["default"].createElement("div", {
        className: "share-modal__header__close-button" // @ts-ignore
        ,
        onClick: function onClick() {
          return _this2.onVisibilityChange(false);
        }
      }, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        className: "share-modal__header__close-button__icon",
        name: "cross"
      }))), /*#__PURE__*/_react["default"].createElement("div", {
        className: "share-modal__content"
      }, /*#__PURE__*/_react["default"].createElement("div", {
        className: "share-modal__content__header"
      }, /*#__PURE__*/_react["default"].createElement("div", {
        className: "share-modal__content__header__icon"
      }, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        className: "share-modal__content__header__icon__element",
        name: publicLinkEnabled ? 'planet' : 'login'
      })), /*#__PURE__*/_react["default"].createElement("div", {
        className: "share-modal__content__header__title"
      }, "This " + type + " can be accessed"), /*#__PURE__*/_react["default"].createElement("div", {
        className: "share-modal__content__header__switcher"
      }, onSetLinkPublicRequest ? /*#__PURE__*/_react["default"].createElement(_dropdownLegacy["default"], {
        triggerNode: /*#__PURE__*/_react["default"].createElement("div", {
          className: "share-modal__content__header__dropdown__button"
        }, /*#__PURE__*/_react["default"].createElement("div", {
          className: "share-modal__content__header__dropdown__button__text"
        }, publicLinkEnabled ? BY_EVERYONE : BY_TEAM), /*#__PURE__*/_react["default"].createElement(_icon["default"], {
          className: "share-modal__content__header__dropdown__button__icon",
          name: "back"
        })),
        className: "share-modal__content__header__switcher__dropdown",
        arrowPosition: "end",
        position: "bottom",
        theme: "dark",
        name: "share-modal",
        visible: this.state.dropdownVisible,
        onVisibilityChange: this.setDropdownVisibility,
        content: /*#__PURE__*/_react["default"].createElement(_menu["default"], null, /*#__PURE__*/_react["default"].createElement(_menuOption["default"], {
          checked: !publicLinkEnabled,
          title: BY_TEAM,
          name: BY_TEAM,
          onClick: this.setLinkVisibility
        }), /*#__PURE__*/_react["default"].createElement(_menuOption["default"], {
          checked: publicLinkEnabled,
          title: BY_EVERYONE,
          name: BY_EVERYONE,
          onClick: this.setLinkVisibility
        }))
      }) : /*#__PURE__*/_react["default"].createElement("div", {
        className: "share-modal__content__header__switcher__text"
      }, publicLinkEnabled ? BY_EVERYONE : BY_TEAM))), /*#__PURE__*/_react["default"].createElement("div", {
        className: "share-modal__content__description"
      }, publicLinkEnabled ? "Anyone with the link can access this " + type + "." : "Only members of your Avocode team can view this " + type + ".")), /*#__PURE__*/_react["default"].createElement("div", {
        className: "share-modal__copy"
      }, /*#__PURE__*/_react["default"].createElement(_button["default"], {
        title: "Copy link",
        className: "share-modal__copy__button",
        type: "primary",
        size: "small" // @ts-ignore
        ,
        onClick: this.copyLink,
        btnIcon: {
          name: 'copy-link',
          className: 'share-modal__copy__button__icon'
        }
      })))
    }));
  };

  return ShareModal;
}(_react["default"].PureComponent);

exports["default"] = ShareModal;