"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _uiVariablesGreyCommon = _interopRequireDefault(require("./ui-variables-grey-common"));

var _uiVariablesGreyDark = _interopRequireDefault(require("./ui-variables-grey-dark"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// General color
var mainColorBrand = '#00bc87';
var mainColorBrandRGB = '0, 188, 135'; // Grayscale

var grayDarkest = '#171717';
var grayDarkestRGB = '23, 23, 23';
var grayDarker = '#262626';
var grayDarkerRGB = '38, 38, 38';
var grayDark = '#2e2e2e';
var grayDarkRGB = '46, 46, 46';
var gray = '#585858';
var grayRGB = '88, 88, 88';
var grayLight = '#777';
var grayLightRGB = '119, 119, 119';
var grayLighter = '#b2b2b2';
var grayLighterRGB = '178, 178, 178';
var grayLightest = '#f0f0f0';
var grayLightestRGB = '240, 240, 240';
var contrastColor = '255, 255, 255';

var _default = _extends({}, _uiVariablesGreyCommon["default"], _uiVariablesGreyDark["default"], {
  '--main-color-brand': mainColorBrand,
  '--main-color-brand-rgb': mainColorBrandRGB,
  '--main-color-brand-highlight': mainColorBrand,
  '--main-color-brand-highlight-rgb': mainColorBrandRGB,
  '--gray-darkest': grayDarkest,
  '--gray-darkest-rgb': grayDarkestRGB,
  '--gray-darker': grayDarker,
  '--gray-darker-rgb': grayDarkerRGB,
  '--gray-dark': grayDark,
  '--gray-dark-rgb': grayDarkRGB,
  '--gray': gray,
  '--gray-rgb': grayRGB,
  '--gray-light': grayLight,
  '--gray-light-rgb': grayLightRGB,
  '--gray-lighter': grayLighter,
  '--gray-lighter-rgb': grayLighterRGB,
  '--gray-lightest': grayLightest,
  '--gray-lightest-rgb': grayLightestRGB,
  '--contrast-rgb': contrastColor,
  '--contrast-extra-light': "rgba(" + contrastColor + ", 0.1)",
  '--contrast-medium': "rgba(" + contrastColor + ", 0.5)",
  '--button-primary-color': '#5b5d5e',
  '--button-info-color': mainColorBrand,
  '--button-secondary-color': '#5a5a5b',
  '--button-secondary-text-color': '#fff',
  '--input-background-color': grayDarkest,
  '--button-dropdow-divider-color': '#3e3e3e',
  '--button-dropdow-background-color': '#fff',
  '--button-dropdow-hover-background-color': '#fff',
  '--button-dropdow-active-background-color': '#fff',
  '--button-dropdow-text-color': '#2e2e2e',
  '--input-text-color': '#fff',
  '--input-background-disabled': grayLightest,
  '--input-border-color': 'transparent',
  '--input-checkbox-handle': '#fff',
  '--input-checkbox-switch-handle': grayLight,
  '--input-checkbox-background': grayDarkest,
  '--input-checkbox-border': gray,
  '--label-text-color': '#c3c3c3',
  '--checkbox-label-text-color': 'inherit',
  '--select-background': '#2b2b2b',
  '--select-border-color': grayDarkest,
  '--select-color': '#fff',
  '--combo-box-border': 'transparent',
  '--combo-box-background': grayDarkest,
  '--combo-box-shadow': 'inset 0 1px 0 rgba(0, 0, 0, 0.3)',
  '--combo-box-datalist-background': grayDarkest,
  '--combo-box-option-selected-background': grayDark,
  '--radio-group-border-color': '#363636',
  '--radio-group-text-color': '#818181',
  '--radio-group-selected-background': '#1f1f1f',
  '--radio-group-selected-text-color': '#fff',
  '--radio-group-selected-border-color': 'rgba(255, 255, 255, 0.7)',
  '--radio-group-hover-background': '#1f1f1f',
  '--progress-indefinite-background': 'rgba(255, 255, 255, 0.25)',
  '--progress-bar-background': 'rgba(255, 255, 255, 0.15)',
  '--progress-circular-background': 'fade(@icon-color, 100%)',
  '--dropdown-background': grayDark,
  '--dropdown-title-color': '#fff',
  '--dropdown-footer-color': '#fff',
  '--dropdown-footer-hover-background': gray,
  '--dropdown-item-color': '#fff',
  '--modal-border-color': grayDarkest,
  '--modal-headline-color': 'inherit',
  '--modal-background-color': '#232323',
  '--modal-header-background': '#2b2b2b',
  '--modal-close-fill': '#7f7f7f',
  '--modal-close-hover-fill': '#fff',
  '--modal-tab-bar-background': '#2b2b2b',
  '--modal-tab-bar-item-color': 'rgba(198, 198, 198, 0.4)',
  '--modal-tab-bar-item-active': mainColorBrand,
  '--modal-tab-bar-item-title-active': '#fff',
  '--icon-color': 'rgba(255, 255, 255, 0.25)',
  '--range-input-background': grayDarkest,
  '--progress-title-color': '#aaa'
});

exports["default"] = _default;