"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _uiVariablesGreyCommon = _interopRequireDefault(require("./ui-variables-grey-common"));

var _uiVariablesGreyLight = _interopRequireDefault(require("./ui-variables-grey-light"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// General color
var mainColorBrand = '#00bc87';
var mainColorBrandRGB = '0, 188, 135'; // Grayscale

var grayDarkest = '#f0f0f0';
var grayDarkestRGB = '240, 240, 240';
var grayDarker = '#dadada';
var grayDarkerRGB = '218, 218, 218';
var grayDark = '#b1b1b1';
var grayDarkRGB = '177, 177, 177';
var gray = '#777';
var grayRGB = '119, 119, 119';
var grayLight = '#585858';
var grayLightRGB = '88, 88, 88';
var grayLighter = '#2e2e2e';
var grayLighterRGB = '46, 46, 46';
var grayLightest = '#272727';
var grayLightestRGB = '39, 39, 39';
var grayIlluminated = '#171717';
var grayIlluminatedRGB = '23, 23, 23';
var contrastColor = '0, 0, 0';

var _default = _extends({}, _uiVariablesGreyCommon["default"], _uiVariablesGreyLight["default"], {
  '--main-color-brand': grayLighter,
  '--main-color-brand-rgb': grayLighterRGB,
  '--main-color-brand-highlight': mainColorBrand,
  '--main-color-brand-highlight-rgb': mainColorBrandRGB,
  '--gray-darkest': grayDarkest,
  '--gray-darkest-rgb': grayDarkestRGB,
  '--gray-darker': grayDarker,
  '--gray-darker-rgb': grayDarkerRGB,
  '--gray-dark': grayDark,
  '--gray-dark-rgb': grayDarkRGB,
  '--gray': gray,
  '--gray-rgb': grayRGB,
  '--gray-light': grayLight,
  '--gray-light-rgb': grayLightRGB,
  '--gray-lighter': grayLighter,
  '--gray-lighter-rgb': grayLighterRGB,
  '--gray-lightest': grayLightest,
  '--gray-lightest-rgb': grayLightestRGB,
  '--gray-illuminated': grayIlluminated,
  '--gray-illuminated-rgb': grayIlluminatedRGB,
  '--contrast-rgb': contrastColor,
  '--contrast-extra-light': "rgba(" + contrastColor + ", 0.1)",
  '--contrast-medium': "rgba(" + contrastColor + ", 0.5)",
  '--button-primary-color': grayLighter,
  '--button-info-color': grayLighter,
  '--button-secondary-color': grayDark,
  '--button-secondary-text-color': grayLightest,
  '--button-dropdow-divider-color': '#3e3e3e',
  '--button-dropdow-background-color': '#2e2e2e',
  '--button-dropdow-hover-background-color': grayLight,
  '--button-dropdow-active-background-color': '#3e3e3e',
  '--button-dropdow-text-color': '#fff',
  '--input-background-color': '#fff',
  '--input-text-color': grayLight,
  '--input-background-disabled': gray,
  '--input-checkbox-handle': grayLighter,
  '--input-checkbox-switch-handle': '#fff',
  '--input-checkbox-background': grayDarkest,
  '--input-checkbox-border': '#c0c0c0',
  '--input-border-color': grayDarker,
  '--label-text-color': grayLighter,
  '--checkbox-label-text-color': gray,
  '--select-background': '#fff',
  '--select-border-color': grayDarker,
  '--select-color': gray,
  '--combo-box-border': grayDarker,
  '--combo-box-background': '#fff',
  '--combo-box-shadow': 'none',
  '--combo-box-datalist-background': '#fff',
  '--combo-box-option-selected-background': 'rgba(0, 0, 0, 0.3)',
  '--radio-group-border-color': grayDarker,
  '--radio-group-text-color': gray,
  '--radio-group-selected-background': '#fff',
  '--radio-group-selected-text-color': grayLighter,
  '--radio-group-selected-border-color': grayLighter,
  '--radio-group-hover-background': grayDarkest,
  '--progress-indefinite-background': grayDark,
  '--progress-bar-background': gray,
  '--progress-circular-background': gray,
  '--dropdown-background': '#fff',
  '--dropdown-title-color': grayLighter,
  '--dropdown-footer-color': gray,
  '--dropdown-footer-hover-background': grayLighter,
  '--dropdown-item-color': grayLight,
  '--modal-border-color': 'rgba(0, 0, 0, 0.1)',
  '--modal-headline-color': gray,
  '--modal-background-color': '#fff',
  '--modal-header-background': '#fff',
  '--modal-tab-bar-background': '#fff',
  '--modal-close-fill': grayDark,
  '--modal-close-hover-fill': grayLight,
  '--modal-tab-bar-item-color': gray,
  '--modal-tab-bar-item-active': grayLighter,
  '--modal-tab-bar-item-title-active': grayLighter,
  '--icon-color': 'rgba(0, 0, 0, 0.25)',
  '--range-input-background': grayDark,
  '--progress-title-color': gray
});

exports["default"] = _default;