"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var CopyUtils = /*#__PURE__*/function () {
  function CopyUtils() {}

  CopyUtils.copyText = function copyText(text, win) {
    if (win === void 0) {
      win = window;
    }

    if (win.navigator.clipboard) {
      return navigator.clipboard.writeText(text).then(function () {
        return true;
      });
    }

    var copyElement = win.document.createElement('input');
    var body = win.document.body;
    var result = false;

    if (body) {
      body.appendChild(copyElement);
      copyElement.setAttribute('value', text);
      copyElement.select();
      result = win.document.execCommand('copy');
      body.removeChild(copyElement);
    }

    return Promise.resolve(result);
  };

  return CopyUtils;
}();

exports["default"] = CopyUtils;